Stop LSP server
POST /v1/sandbox/{sandboxID}/lsp/stop
POST
/v1/sandbox/{sandboxID}/lsp/stop
Send shutdown and exit to the language server and terminate the process.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” sandboxID
required
string
Unique sandbox identifier.
Request Body required
Section titled “Request Body required ”object
language_id
required
Language identifier: python, typescript, or javascript.
string
Example
python path_to_project
required
Path to the project directory inside the sandbox.
string
Example
/home/user/projectResponses
Section titled “ Responses ”LSP server stopped.
object
success
required
boolean
Example
trueBad request – validation error.
object
message
required
Summary message, e.g. “Invalid request”.
string
errors
required
Array<object>
object
field
required
JSON field name that failed validation (e.g. “path”, “command”).
string
error
required
Human-readable description of the validation failure.
string
Unauthorized – invalid or missing API key.
object
message
required
Human-readable error message.
string